### Method

# GUPnPAV DIDLLiteParser parse_didl

#### Declaration [src]

    gboolean
    gupnp_didl_lite_parser_parse_didl (
      GUPnPDIDLLiteParser* parser,
      const char* didl,
      GError** error
    )

#### Description [src]

Parses DIDL-Lite XML string `didl`, emitting the ::object-available, ::item-available and ::container-available signals appropriately during the process.

#### Parameters

`didl`

  Type: `const char*`

  The DIDL-Lite XML string to be parsed.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE on success.